Skip to main content
GET
Resolve share oEmbed

Query Parameters

url
string
required

Share URL to resolve into embed markup

format
string | null

Response format; only json is supported

maxwidth
integer | null

Maximum width of the embed in pixels

Required range: x > 0
maxheight
integer | null

Maximum height of the embed in pixels

Required range: x > 0

Response

Successful Response

oEmbed (https://oembed.com) response describing how to embed a share URL.

type
string
required

oEmbed resource type (video or rich)

title
string
required

Name of the shared asset

provider_name
string
required

Display name of the embed provider

provider_url
string
required

Base URL of the embed provider

width
integer
required

Width in pixels of the embed html

height
integer
required

Height in pixels of the embed html

html
string
required

Iframe markup that renders the embed

version
string
default:1.0

oEmbed protocol version